Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.vmx
Class VMXState.Local

    java.lang.Object
      de.grogra.xl.vmx.VMXState.Local

All Implemented Interfaces:
  BytecodeSerialization.Serializable, Variable

Enclosing class:
  VMXState

    public static final class VMXState.Local

extends java.lang.Object
implements BytecodeSerialization.Serializable, Variable

This class represents a local variable. Local variables exist with respect to the Java frame pointer `VMXState.jfp` or with respect to the normal frame pointer of the current (`VMXState.getFrame(Authorization)`) or of statically containing routine invocations (`VMXFrame#staticLink`).

Author:
  Ole Kniemeyer

Field Summary
`static int` | `JAVA` This value is used for `nesting` to indicate a local variable in the Java frame.

Constructor Summary
`VMXState.Local(int nesting, int index)`

Method Summary
`java.lang.Object` | `aget(Frame frame)`
`void` | `aset(Frame frame, java.lang.Object value)`
`double` | `dget(Frame frame)`
`void` | `dset(Frame frame, double value)`
`boolean` | `equals(java.lang.Object o)`
`float` | `fget(Frame frame)`
`void` | `fset(Frame frame, float value)`
`int` | `getIndex()`
`int` | `getNesting()`
`int` | `hashCode()`
`int` | `iget(Frame frame)`
`void` | `iset(Frame frame, int value)`
`boolean` | `isJavaLocal()`
`boolean` | `isNull(Frame frame)`
`boolean` | `isSet(Frame frame)`
`long` | `lget(Frame frame)`
`void` | `lset(Frame frame, long value)`
`void` | `nullset(Frame frame)`
`java.lang.String` | `toString()`
`void` | `unset(Frame frame)`
`void` | `write(BytecodeSerialization out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### JAVA

    public static final int JAVA

  This value is used for `nesting` to indicate a local variable in the Java frame.

  See Also:
    Constant Field Values

Constructor Detail

### VMXState.Local

    public VMXState.Local(int nesting,
                          int index)

Method Detail

### aget

    public java.lang.Object aget(Frame frame)

  Specified by:
    `aget` in interface `Variable`

### aset

    public void aset(Frame frame,
                     java.lang.Object value)

  Specified by:
    `aset` in interface `Variable`

### dget

    public double dget(Frame frame)

  Specified by:
    `dget` in interface `Variable`

### dset

    public void dset(Frame frame,
                     double value)

  Specified by:
    `dset` in interface `Variable`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### fget

    public float fget(Frame frame)

  Specified by:
    `fget` in interface `Variable`

### fset

    public void fset(Frame frame,
                     float value)

  Specified by:
    `fset` in interface `Variable`

### getIndex

    public int getIndex()

### getNesting

    public int getNesting()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### iget

    public int iget(Frame frame)

  Specified by:
    `iget` in interface `Variable`

### iset

    public void iset(Frame frame,
                     int value)

  Specified by:
    `iset` in interface `Variable`

### isJavaLocal

    public boolean isJavaLocal()

### isNull

    public boolean isNull(Frame frame)

  Specified by:
    `isNull` in interface `Variable`

### isSet

    public boolean isSet(Frame frame)

  Specified by:
    `isSet` in interface `Variable`

### lget

    public long lget(Frame frame)

  Specified by:
    `lget` in interface `Variable`

### lset

    public void lset(Frame frame,
                     long value)

  Specified by:
    `lset` in interface `Variable`

### nullset

    public void nullset(Frame frame)

  Specified by:
    `nullset` in interface `Variable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### unset

    public void unset(Frame frame)

  Specified by:
    `unset` in interface `Variable`

### write

    public void write(BytecodeSerialization out)
               throws java.io.IOException

  Specified by:
    `write` in interface `BytecodeSerialization.Serializable`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD